Bug 1539528 - Broken perldocs for perl-NKF
Summary: Broken perldocs for perl-NKF
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nkf
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-29 06:34 UTC by Yaakov Selkowitz
Modified: 2018-02-20 17:12 UTC (History)
2 users (show)

Fixed In Version: nkf-2.1.4-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 17:12:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Yaakov Selkowitz 2018-01-29 06:34:03 UTC
Description of problem:
The perldocs of NKF.pm are broken.

Version-Release number of selected component (if applicable):
perl-NKF-2.1.4-7.fc27.x86_64

How reproducible:
100%

Steps to Reproduce:
1. dnf install perl-NKF
2. man 3 NKF

Actual results:
NKF(3)                User Contributed Perl Documentation               NKF(3)

NAME
       NKF - Perl extension for Network Kanji Filter

POD ERRORS
       Hey! The above document had some coding errors, which are explained
       below:

       Around line 56:
           =begin without a target?

       Around line 64:
           '=end' without a target? (Should be "=end COMMAND")

       Around line 68:
           =begin without a target?

       Around line 77:
           '=end' without a target? (Should be "=end COMMAND")

       Around line 81:
           =begin without a target?

       Around line 87:
           '=end' without a target? (Should be "=end COMMAND")

       Around line 496:
           '=end' without a target? (Should be "=end COMMAND")

       Around line 510:
           =begin without a target?

       Around line 516:
           '=end' without a target? (Should be "=end COMMAND")

perl v5.26.0                      2015-12-12                            NKF(3)

Expected results:
API documentation, no error messages.

Additional info:
This goes back to at least F25.

Comment 1 Fedora Update System 2018-02-06 11:18:19 UTC
nkf-2.1.4-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-01805481e7

Comment 2 Fedora Update System 2018-02-07 14:09:21 UTC
nkf-2.1.4-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-01805481e7

Comment 3 Fedora Update System 2018-02-20 17:12:43 UTC
nkf-2.1.4-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.